Bug 1456988 - [RFE] ability to set the cookie name, with an annotation
Summary: [RFE] ability to set the cookie name, with an annotation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.7.0
Assignee: Phil Cameron
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 21:27 UTC by Eric Rich
Modified: 2017-12-18 13:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: openshift/openshift-docs: Pull Request 5309 Reason: Result:
Clone Of:
Environment:
Last Closed: 2017-12-18 13:22:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Origin (Github) 16454 None None None 2017-09-20 19:29:53 UTC
Red Hat Product Errata RHBA-2017:3464 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.7 bug fix and enhancement update 2017-12-18 18:22:05 UTC

Description Eric Rich 2017-05-30 21:27:05 UTC
Description of problem:

Some customers would like the ability to change the cookie name for an application.

Comment 1 Paul Weil 2017-05-31 11:16:21 UTC
I assume this is referring to the cookie set by the router that is used for affinity?  I'm not sure why they'd want to change that name.  Can you give some use cases for when that is necessary?

Comment 4 Ben Bennett 2017-05-31 14:17:44 UTC
Tracked by https://trello.com/c/dZpU26W9

Comment 5 Phil Cameron 2017-09-20 19:31:32 UTC
origin PR 16454
openshift/origin: Pull Request 16454

openshift/openshift-docs PR 5309
openshift/openshift-docs: Pull Request 5309

Comment 6 Phil Cameron 2017-09-28 13:07:22 UTC
openshift-docs PR 5309 MERGED

Comment 7 Xiaoli Tian 2017-11-14 01:51:40 UTC
ON_QA to test against latest ocp-3.7 rc build.

Comment 8 Hongan Li 2017-11-14 06:03:51 UTC
verified in openshift v3.7.7, user can set default cookie name via ENV "ROUTER_COOKIE_NAME" for haproxy router as well as via annotation "router.openshift.io/cookie_name" for individual routes (including unsecure, edge and reencrypt route)

Comment 11 errata-xmlrpc 2017-12-18 13:22:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3464


Note You need to log in before you can comment on or make changes to this bug.